
import java.applet.*;
import java.awt.*;
import java.lang.*;


public class TrackCanvas extends Canvas 
{
    se  smain;
    int x1, y1, x2, y2, flag;
    Image map;
    double coords[][] = new double[2][2];
        
	
    TrackCanvas(se smain)
     {
	this.smain = smain;
        reshape(0, 0, 800, 500);
        map=smain.getImage(smain.getDocumentBase(),"../gis/maps/N_america.jpg");
     
       }

    public void loadimage(int type)
     { if(type == 1)
        { map=smain.getImage(smain.getDocumentBase(), "../gis/maps/SE.jpg");
          set_coordinate(-96, 40, -64, 24);
         }
       if(type == 2)
         { map=smain.getImage(smain.getDocumentBase(), "../gis/maps/NE.jpg");
          set_coordinate(-96, 65, -64, 46);
         }

       if(type == 3)
         { map=smain.getImage(smain.getDocumentBase(), "../gis/maps/CE2.jpg");
           flag = 1;
           set_coordinate(-90,48, -64, 36);
          }

       if(type == 4)
        {  map=smain.getImage(smain.getDocumentBase(), "../gis/maps/CW.jpg");
           set_coordinate(-124,48, -96, 36);
         }


       if(type == 5)
        { map=smain.getImage(smain.getDocumentBase(), "../gis/maps/NW.jpg");
          set_coordinate(-124,65, -96, 46);
         }

       if(type == 6)
        { map=smain.getImage(smain.getDocumentBase(), "../gis/maps/SW.jpg");
          set_coordinate(-124, 40, -96, 24);
         }
          
       if(type == 7)
        { map=smain.getImage(smain.getDocumentBase(), "../gis/maps/Alaska.jpg");
          set_coordinate(-170, 70, -138, 54);
         }

       if(type == 8)
        { map=smain.getImage(smain.getDocumentBase(), "../gis/maps/N_america.jpg");
          set_coordinate(0,0, 0,0);
         }

       if(type == 9)
        { map=smain.getImage(smain.getDocumentBase(), "../gis/maps/N_east.jpg");
          flag = 2;
          set_coordinate(-80,46,-70,40);
          }
			
         repaint();

       }

     public void set_coordinate(int top_x, int top_y, int bot_x, int bot_y)
      {     
            coords[0][0] = top_x;
            coords[0][1] = top_y;
            coords[1][0] = bot_x;
            coords[1][1] = bot_y;
        }


     public boolean mouseDown(Event evt, int x , int y)
       {  
         if((flag==1) && ( x >= 400 && y>=250))
          { map=smain.getImage(smain.getDocumentBase(), "../gis/maps/N_east.jpg");
            flag = 2;
            set_coordinate(-80,46,-70,40);

            repaint();
          }

         return true;
         
        }




    public void paint(Graphics g)
     {	int i,j ;

        g=getGraphics();
	
        resize(800, 500);

        g.drawImage(map, 0, 0, this);

        for (i= 0; i <9; i++) 
          { /* the number of radar*/

	
/*
 x2 = 0 + (int)Math.round(800 / (coords[1][0] - coords[0][0]) *
      (smain.radar_loc[i][0] / Math.cos(Math.abs(smain.radar_loc[i][1]) * Math.PI/180)
       - coords[0][0]/Math.cos(Math.abs(coords[0][1]) * Math.PI/180)));
*/

          x2 = 0 + (int)Math.round(800 / (coords[1][0] - coords[0][0]) *
                  (smain.radar_loc[i][0] - coords[0][0]));

          y2 = 500 - (int)Math.round(500 / (coords[0][1] - coords[1][1]) *
                                  (smain.radar_loc[i][1] - coords[1][1]));
  
          for (j = 0; j<4 ; j++) 
            { /* the number of aircraft*/
              
              if((smain.ac_cur_location[j][0] == 0)&&(smain.ac_cur_location[j][1] == 0)) 
                  continue;

/*
x1 = 0 + (int)Math.round(800 / (coords[1][0] - coords[0][0])
     * (smain.ac_cur_location[j][0] /Math.cos(Math.abs(smain.ac_cur_location[j][1])* Math.PI/180) - coords[0][0]/Math.cos(Math.abs(coords[0][1]) * Math.PI/180)));
*/

             x1 = 0 + (int)Math.round(800 / (coords[1][0] - coords[0][0])
                      * (smain.ac_cur_location[j][0] - coords[0][0]));

             y1 = 500 - (int)Math.round(500 / (coords[0][1] - coords[1][1]) *
                        (smain.ac_cur_location[j][1] - coords[1][1]));

             g.setColor(Color.green);

             if (((smain.ac_cur_rae[i][j][0] <smain.maxrange) || (smain.maxrange <0))
			 && (smain.ac_cur_rae[i][j][2] >= smain.minelevation))  
               {
                   g.drawLine(x1, y1, x2, y2);
                   g.setColor(Color.white);
                   if(flag == 1)
                     g.fillOval(x1, y1, 2, 2);
                   else  g.fillOval(x1,y1,5, 5);
                  }
               }/* end for aircraft */

          } /* end for radar */


     }/* paint() */

	

}




